summaryrefslogtreecommitdiffstats
path: root/abs/core/gcc/c99
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2018-02-15 17:45:10 (GMT)
committerBritney Fransen <brfransen@gmail.com>2018-02-15 17:45:10 (GMT)
commit25a8f9cc50b5c6d8d97ecd4afadc22d90a16affa (patch)
tree987704136b2bbc3535739ebd37e0f67acd0cd940 /abs/core/gcc/c99
parent94e3079457946aabe0b9d7e3475b96ffe7e0fcc0 (diff)
downloadlinhes_pkgbuild-25a8f9cc50b5c6d8d97ecd4afadc22d90a16affa.zip
linhes_pkgbuild-25a8f9cc50b5c6d8d97ecd4afadc22d90a16affa.tar.gz
linhes_pkgbuild-25a8f9cc50b5c6d8d97ecd4afadc22d90a16affa.tar.bz2
gcc: update to 7.3.0
Diffstat (limited to 'abs/core/gcc/c99')
-rw-r--r--abs/core/gcc/c9910
1 files changed, 10 insertions, 0 deletions
diff --git a/abs/core/gcc/c99 b/abs/core/gcc/c99
new file mode 100644
index 0000000..88dd806
--- /dev/null
+++ b/abs/core/gcc/c99
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}